Bug 1437597 - Machine credential dropdown contains only Default
Summary: Machine credential dropdown contains only Default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.8.0
Assignee: mkanoor
QA Contact: Dmitry Misharov
URL:
Whiteboard: ui:ansible:service
Depends On: 1436717
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-30 15:44 UTC by Satoe Imaishi
Modified: 2017-05-31 14:44 UTC (History)
11 users (show)

Fixed In Version: 5.8.0.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1436717
Environment:
Last Closed: 2017-05-31 14:44:30 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-03-30 18:21:35 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/a6b031c370351a5beacbcff2bc0346137f12620f

commit a6b031c370351a5beacbcff2bc0346137f12620f
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Mar 30 09:27:43 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Mar 30 14:15:31 2017 -0400

    Merge pull request #14568 from mkanoor/use_embedded_ansible_methods
    
    Modified to use Embedded Ansible instance
    (cherry picked from commit 79f6e8289000d7e9d0adc0002cb502ef77c62fa0)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1437597

 app/models/dialog/ansible_playbook_service_dialog.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 CFME Bot 2017-03-30 18:23:49 UTC
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/f5ac67c86dddfab4ff346cd66953ed5a39637ac0

commit f5ac67c86dddfab4ff346cd66953ed5a39637ac0
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Mar 30 09:27:32 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Mar 30 14:20:12 2017 -0400

    Merge pull request #80 from mkanoor/bz_1436717
    
    Added method instances for EmbeddedAnsible
    (cherry picked from commit 87d29caf9be17ba202a4b09443f31aa7b6a6a535)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1437597

 .../embedded_ansible_available_machine_credentials.yaml    | 14 ++++++++++++++
 .../embedded_ansible_available_network_credentials.yaml    | 14 ++++++++++++++
 2 files changed, 28 insertions(+)
 create mode 100644 content/automate/ManageIQ/AutomationManagement/AnsibleTower/Operations/Methods.class/embedded_ansible_available_machine_credentials.yaml
 create mode 100644 content/automate/ManageIQ/AutomationManagement/AnsibleTower/Operations/Methods.class/embedded_ansible_available_network_credentials.yaml

Comment 4 Dmitry Misharov 2017-04-18 08:42:17 UTC
Verified in 5.8.0.10-beta1.20170411212748_e47d319. Dropdowns in ansible playbook services contain all available credentials.

Comment 6 errata-xmlrpc 2017-05-31 14:44:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.